POST Orders Foodspot Times

​

Endpoint will return foodspot time for the order

Headers

  • Unique request identifier

  • Api version

  • Accept header

  • Application key

  • Authorization header

Body

application/json
  • full-date notation as defined by RFC 3339, section 5.6, for example, 2017-07-21

Responses

  • application/json
  • Bad Request

  • Unauthorized

  • Forbidden

  • Not Found

Request Example for post/orders/foodspot-times
curl https://api-public-demo.menu.app/api/orders/foodspot-times \
  --request POST \
  --header 'X-Request-ID: c10b4a70-6274-490d-80a0-03e7bb826937' \
  --header 'API-Version: ' \
  --header 'Accept: application/json' \
  --header 'Application: ' \
  --header 'Authorization: ' \
  --header 'Content-Type: application/json' \
  --data '{
  "foodspot_id": "5e70cff0-cd6b-40b0-a13f-73bf070ef7fb"
}'
{
  "status": "OK",
  "code": 200,
  "data": {
    "available_foodspot_times": [
      {
        "serving_time_id": "acc711f3-e3a2-43e3-8194-7277a3341971",
        "start_at": "2023-05-24 22:00:00",
        "finish_at": "2023-05-25 14:30:00",
        "delivery_at": "2023-05-25 15:30:00"
      }
    ]
  }
}